import { Sort } from "./sort.interface";
export declare enum SortAlgo {
    QUICK_SORT = "qs",
    MERGE_SORT = "ms",
    BUBBLE_SORT = "bs"
}
export declare class SortFactory {
    static make<T>(algo: SortAlgo): Sort<T>;
}
